﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.ListControls;
using System.Collections;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            int[] DS1 = new int[] { 1, 2, 3, 4, 5, 6, 7 };
            int[] DS3 = new int[] { 15, 16, 17, 18, 19, 20 };

            this.WebDropDown1.DataSource = DS1;
            this.WebDropDown3.DataSource = DS3;

            WebDropDown1.DataBind();
            WebDropDown3.DataBind();
          
            #region Select all items ServerSide
            //
            Infragistics.Web.UI.ListControls.WebDropDown WDD3 = (WebDropDown)FindControl("WebDropDown3");
            DropDownItemCollection Items = WDD3.Items;
            WDD3.EnableMultipleSelection = true;

            foreach (DropDownItem item in Items)
            {
                item.Selected = true;
            }
            //check/store selectedItems
            List<DropDownItem> AllSelected = WDD3.SelectedItems;
            #endregion
        }
    }

    protected void ChangeDataSource(object sender, EventArgs e)
    {
        Infragistics.Web.UI.ListControls.WebDropDown WDD1 = (WebDropDown)FindControl("WebDropDown1");
        int[] DS2 = new int[] { 4, 5, 6, 7, 8, 9 };
        WDD1.DataSource = DS2;
        WDD1.DataBind();

        DropDownItemCollection WDD1_Items = WebDropDown1.Items;

        List<DropDownItem> SelectedItems = (List<DropDownItem>)Session["SelectionCollection"];

        if (SelectedItems !=null)
        {
            foreach (DropDownItem item in WDD1_Items)
            {
                foreach (DropDownItem selected in SelectedItems)
                {
                    if (selected.Text == item.Text)
                    {
                        item.Selected = true;
                    }
                }
            }
        }
    }

    protected void WebDropDown1_SelectionChanged(object sender, DropDownSelectionChangedEventArgs e)
    {
        Infragistics.Web.UI.ListControls.WebDropDown WDD1 = (WebDropDown)FindControl("WebDropDown1");
        List<DropDownItem> Selected = WDD1.SelectedItems;
        List<DropDownItem> CurrentSession = (List<DropDownItem>)Session["SelectionCollection"];
        Session["SelectionCollection"] = Selected;
    }
}